org.apache.olingo.commons.api.edm

## Interface EdmEntityType

- All Superinterfaces:
    EdmAnnotatable, EdmNamed, EdmStructuredType, EdmType

      public interface EdmEntityType
      extends EdmStructuredType

  A CSDL EntityType element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmEntityType` | `getBaseType()` Base types are described in the OData protocol specification.
    `List<String>` | `getKeyPredicateNames()` Gets all key predicate names.
    `EdmKeyPropertyRef` | `getKeyPropertyRef(String keyPredicateName)` Get a key property ref by its name.
    `List<EdmKeyPropertyRef>` | `getKeyPropertyRefs()` Get all key properties references as list of `EdmKeyPropertyRef`.
    `boolean` | `hasStream()` Indicates if the entity type is treated as Media Link Entry with associated Media Resource.

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmStructuredType

      `compatibleTo, getNavigationProperty, getNavigationPropertyNames, getProperty, getPropertyNames, getStructuralProperty, isAbstract, isOpenType`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmType

      `getFullQualifiedName, getKind, getNamespace`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmAnnotatable

      `getAnnotation, getAnnotations`

- - ### Method Detail

    - #### getKeyPredicateNames

          List<String> getKeyPredicateNames()

      Gets all key predicate names. In case an alias is defined for a key predicate this will be returned.
      Returns:
        collection of key property names of type List<String>

    - #### getKeyPropertyRefs

          List<EdmKeyPropertyRef> getKeyPropertyRefs()

      Get all key properties references as list of `EdmKeyPropertyRef`.
      Returns:
        collection of key properties of type List<EdmKeyPropertyRef>

    - #### getKeyPropertyRef

          EdmKeyPropertyRef getKeyPropertyRef(String keyPredicateName)

      Get a key property ref by its name.
      Parameters:
        `keyPredicateName` - name of key property
      Returns:
        `EdmKeyPropertyRef` for given name

    - #### hasStream

          boolean hasStream()

      Indicates if the entity type is treated as Media Link Entry with associated Media Resource.
      Returns:
        `true` if the entity type is a Media Link Entry

    - #### getBaseType

          EdmEntityType getBaseType()

      Description copied from interface: `EdmStructuredType`
      Base types are described in the OData protocol specification.
      Specified by:
        `getBaseType` in interface `EdmStructuredType`
      Returns:
        `EdmStructuredType`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.